/* BlueDataDistributor - data distribution module from ethernet to 32 serial ports
 * version 0.1.1 date 2006-10-07
 * Copyright (C) 2006 Stefan Schuermans <stefan@blinkenarea.org>
 * a BlinkenArea project - http://www.blinkenarea.org/
 */

#ifndef INC_random
#define INC_random

// provide some entropy
extern void RandomProvideEntropy( unsigned char Entropy );

// task function to do the work - call from main loop
extern void RandomTask( void );

// get random data
extern void RandomGetData( unsigned char * pData, unsigned char Length );

#endif // #ifndef INC_random
